public class AUGDamage {
  
  private static final double FOOT_DAMAGE_RATIO = 20;
  
  public static void main(String[] args) {
    int numShots = 5; 
    int targetDefense = 100;
    
    double maxFootDamage = calculateMaxFootDamage(targetDefense);
    double totalFootDamage = calculateTotalFootDamage(maxFootDamage, numShots);
    
    System.out.println("Maximum Foot Hit Damage for AUG：" + maxFootDamage);
    System.out.println(numShots + "5The sum of foot hit damage in each shot.：" + totalFootDamage);
  }
  
  private static double calculateMaxFootDamage(int targetDefense) {
    
    double maxTotalDamage = 200; 
    double maxFootDamage = maxTotalDamage * FOOT_DAMAGE_RATIO;
    

    maxFootDamage -= targetDefense;
    
    if (maxFootDamage < 0) {
      maxFootDamage = 0; 
    }
    
    return maxFootDamage;
  }
  
  private static double calculateTotalFootDamage(double maxFootDamage, int numShots) {
    return maxFootDamage * numShots;
  }
  
}
